jQuery(document).ready(function($) {
    // View comment details
    $('.sc-button-view').on('click', function() {
        const commentId = $(this).data('comment-id');
        // Show comment details in a modal or expand row
        showCommentDetails(commentId);
    });

    function showCommentDetails(commentId) {
        $.ajax({
            url: sectionalCommentsAdmin.ajax_url,
            type: 'POST',
            data: {
                action: 'get_comment_details',
                comment_id: commentId,
                nonce: sectionalCommentsAdmin.nonce
            },
            success: function(response) {
                if (response.success) {
                    // You can implement a modal here to show the details
                    alert(response.data.content);
                }
            },
            error: function(xhr, status, error) {
                console.error('Error fetching comment details:', error);
            }
        });
    }

    // Add refresh functionality if needed
    function refreshDashboard() {
        // Implement refresh logic here
    }

    // Optional: Auto-refresh every 5 minutes
    // setInterval(refreshDashboard, 300000);
});

jQuery(document).ready(function($) {
    // Search functionality
    $('#sc-search-boxes').on('keyup', function() {
        const searchTerm = $(this).val().toLowerCase();
        $('.sc-box-detail-card').each(function() {
            const sectionId = $(this).data('section-id').toLowerCase();
            $(this).toggle(sectionId.includes(searchTerm));
        });
    });

    // Sort functionality
    $('#sc-sort-boxes').on('change', function() {
        const sortValue = $(this).val();
        const boxes = $('.sc-box-detail-card').get();
        
        boxes.sort(function(a, b) {
            const aValue = $(a).data(getSortDataAttribute(sortValue));
            const bValue = $(b).data(getSortDataAttribute(sortValue));
            
            if (sortValue.includes('most')) {
                return bValue - aValue;
            }
            return aValue.localeCompare(bValue);
        });

        $('.sc-boxes-container').html(boxes);
    });

    function getSortDataAttribute(sortValue) {
        switch(sortValue) {
            case 'latest':
                return 'last-activity';
            case 'oldest':
                return 'first-activity';
            case 'most-comments':
                return 'comment-count';
            default:
                return 'section-id';
        }
    }

    // View Comments button
    $('.sc-button-view').on('click', function() {
        const sectionId = $(this).data('section-id');
        window.location.href = `${sectionalCommentsAdmin.adminUrl}admin.php?page=sectional-comments&view=comments&section=${sectionId}`;
    });

    // Delete button
    $('.sc-button-delete').on('click', function() {
        if (confirm('Are you sure you want to delete this comment box? All associated comments will be permanently removed.')) {
            const sectionId = $(this).data('section-id');
            $.ajax({
                url: sectionalCommentsAdmin.ajax_url,
                type: 'POST',
                data: {
                    action: 'delete_comment_box',
                    section_id: sectionId,
                    nonce: sectionalCommentsAdmin.nonce
                },
                success: function(response) {
                    if (response.success) {
                        $(`[data-section-id="${sectionId}"]`).fadeOut();
                    } else {
                        alert('Failed to delete comment box: ' + response.data.message);
                    }
                }
            });
        }
    });

    // Dashboard comment actions
    $('.sc-comment-action').on('click', function() {
        const action = $(this).data('action');
        const commentId = $(this).data('comment-id');
        
        switch(action) {
            case 'approve':
                handleCommentApproval(commentId);
                break;
            case 'edit':
                showEditCommentModal(commentId);
                break;
            case 'delete':
                handleCommentDeletion(commentId);
                break;
            case 'view':
                handleCommentView(commentId);
                break;
        }
    });
});